'---------------------------------------------------------------------------------------------------------------------------------------------------------
'	
'---------------------------------------------------------------------------------------------------------------------------------------------------------

Global	_AVA_GFX_ROTATION:TFloatStack				=	New TFloatStack
Global	_AVA_GFX_ROTATION_COS:TFloatStack				=	New TFloatStack
Global	_AVA_GFX_ROTATION_SIN:TFloatStack				=	New TFloatStack

'---------------------------------------------------------------------------------------------------------------------------------------------------------

Rem
bbdoc:
End Rem
Function SetRotation ( a:Float, relative:Byte = False )

		If	relative
			
			a								:+	_AVA_GFX_ROTATION.Get ( )
	
		EndIf
		
		If	a <> _AVA_GFX_ROTATION.Get ( )
		
			_AVA_GFX_ROTATION.Set ( a )
			
			? X86
			Local s:Double
			Local c:Double
			SinCos a, s, c
			_AVA_GFX_ROTATION_COS.Set ( Float c )
			_AVA_GFX_ROTATION_SIN.Set ( Float s )		
			? Not X86
			_AVA_GFX_ROTATION_COS.Set ( Float Cos ( a ) )
			_AVA_GFX_ROTATION_SIN.Set ( Float Sin ( a ) )	
			?

			_AVA_GFX_TRANSFORM_MODIFIED				:|	_AVA_GFX_TRANSFORM_ROTATION_MODIFIED
		
		EndIf
		
EndFunction

'---------------------------------------------------------------------------------------------------------------------------------------------------------

Rem
bbdoc:
End Rem
Function ResetRotation( )

		_AVA_GFX_ROTATION.Set ( 0.00 )
		_AVA_GFX_ROTATION_COS.Set ( 1.00 )
		_AVA_GFX_ROTATION_SIN.Set ( 0.00 )		

		_AVA_GFX_TRANSFORM_MODIFIED					:|	_AVA_GFX_TRANSFORM_ROTATION_MODIFIED
			
EndFunction

'---------------------------------------------------------------------------------------------------------------------------------------------------------

Rem
bbdoc:
End Rem
Function PushRotation ( a:Float, relative:Byte = False )

		If	relative
			
			a								:+	_AVA_GFX_ROTATION.Get ( )
	
		EndIf

		_AVA_GFX_ROTATION.Push ( a )
		
		? X86
		Local s:Double
		Local c:Double
		SinCos a, s, c
		_AVA_GFX_ROTATION_COS.Push ( Float c )
		_AVA_GFX_ROTATION_SIN.Push ( Float s )		
		? Not X86
		_AVA_GFX_ROTATION_COS.Push ( Float Cos ( a ) )
		_AVA_GFX_ROTATION_SIN.Push ( Float Sin ( a ) )	
		?		

		_AVA_GFX_TRANSFORM_MODIFIED					:|	_AVA_GFX_TRANSFORM_ROTATION_MODIFIED
	
EndFunction

'---------------------------------------------------------------------------------------------------------------------------------------------------------

Rem
bbdoc:
End Rem
Function PopRotation ( )

		_AVA_GFX_ROTATION.Pop ( )
		_AVA_GFX_ROTATION_COS.Pop ( )
		_AVA_GFX_ROTATION_SIN.Pop ( )	

		_AVA_GFX_TRANSFORM_MODIFIED					:|	_AVA_GFX_TRANSFORM_ROTATION_MODIFIED
		
EndFunction

'---------------------------------------------------------------------------------------------------------------------------------------------------------
'	
'---------------------------------------------------------------------------------------------------------------------------------------------------------

