'---------------------------------------------------------------------------------------------------------------------------------------------------------
'	MODULE
'---------------------------------------------------------------------------------------------------------------------------------------------------------

SuperStrict

Rem
bbdoc: AVA.GL
End Rem
Module AVA.GL

ModuleInfo	"Version: 1.10"
ModuleInfo	"Authors: Ava Vanessa Poldrack"
ModuleInfo	"Copyright: Ava Vanessa Poldrack"

'---------------------------------------------------------------------------------------------------------------------------------------------------------
'	IMPORTS
'---------------------------------------------------------------------------------------------------------------------------------------------------------
	
Import AVA.Core

Import PUB.Glew
Import PUB.OpenGL

'---------------------------------------------------------------------------------------------------------------------------------------------------------

? Win32
Import	"avagraphics.win32.bmx"
? MacOS
Import	"avagraphics.macos.bmx"
? Linux
Import	"avagraphics.linux.bmx"
?

'---------------------------------------------------------------------------------------------------------------------------------------------------------
'	EXTERN
'---------------------------------------------------------------------------------------------------------------------------------------------------------

	Extern
		Function bbGLGraphicsGraphicsModes:Int ( buf:Byte Ptr, size:Int )
		Function bbGLGraphicsAttachGraphics:Byte Ptr ( widget:Byte Ptr, flags:Int )
		Function bbGLGraphicsCreateGraphics:Byte Ptr ( width:Int, height:Int, depth:Int, hertz:Int, flags:Int )
		Function bbGLGraphicsGetSettings ( context:Byte Ptr, width:Int Var, height:Int Var, depth:Int Var, hertz:Int Var, flags:Int Var )
		Function bbGLGraphicsClose ( context:Byte Ptr )	
		Function bbGLGraphicsSetGraphics ( context:Byte Ptr )
		Function bbGLGraphicsFlip ( sync:Int )
	End Extern

'---------------------------------------------------------------------------------------------------------------------------------------------------------
'	INCLUDES
'---------------------------------------------------------------------------------------------------------------------------------------------------------

Include "error.bmx"
Include "TGlClient.bmx"

'---------------------------------------------------------------------------------------------------------------------------------------------------------
'	
'---------------------------------------------------------------------------------------------------------------------------------------------------------
